Bug 846466 - pls add X-Mate to OnlyShowIn entry in desktop files
pls add X-Mate to OnlyShowIn entry in desktop files
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
19
All Linux
high Severity high
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 17:01 EDT by Wolfgang Ulbrich
Modified: 2013-05-30 22:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 22:24:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add_mate_to_OnlyShowIn_3.2.1 (5.29 KB, patch)
2012-08-09 05:28 EDT, Wolfgang Ulbrich
no flags Details | Diff

  None (edit)
Description Wolfgang Ulbrich 2012-08-07 17:01:29 EDT
Description of problem:
The desktop file of the daemons contains this entry.
OnlyShowIn=GNOME;LXDE;XFCE;Unity;

Can you add X-Mate to the OnlyShowIn entry because without X-Mate the 4 daemons doesn't start really in Mate-Desktop.
A lot of applications need gnome-keyring for goog working.
eg. networkmanager, claws, etc.

X-Mate because Mate isn't implemented in desktopfile now.
https://bugs.freedesktop.org/show_bug.cgi?id=52493

Version-Release number of selected component (if applicable):
all

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: 
Hello GNOME,
i'm fedora packager of mate-keyring and other MATE packages.
It would be very nice if you could iplement this in your desktop files.
This helps me and users to get all popular gnome and other applications to get working well in mate.
This affects also f17 and f16 because we building packages for those too.
My fas user name raveit65 .

Thank you if you could do that for us.

Wolfgang Ulbrich

PS: If you need more info let me know.
Comment 1 Wolfgang Ulbrich 2012-08-07 17:09:52 EDT
Sorry for some typos errors.
A good description of the issue you can find here
http://forums.mate-desktop.org/viewtopic.php?f=2&t=435&sid=c50243d947f60e718f238103ef8a35b7

Also what i try to for the moment to solve the issue.
Comment 2 Stef Walter 2012-08-08 08:31:22 EDT
This sounds like something that should go upstream. Unless you have strong reasons why not, could you please file a bug at bugzilla.gnome.org rather than patching this in here in the Fedora package?

What does 'mate-keyring' have to do with this bug report? Actually, why does mate-keyring even exist? Non GNOME desktops have been using gnome-keyring since forever. It seems strange that Mate would need to fork it.
Comment 3 Stef Walter 2012-08-08 08:33:20 EDT
Oh and when you do file that bug upstream, could you provide a patch please? Thanks :)
Comment 4 Wolfgang Ulbrich 2012-08-08 08:55:18 EDT
(In reply to comment #2)
> This sounds like something that should go upstream. Unless you have strong
> reasons why not, could you please file a bug at bugzilla.gnome.org rather
> than patching this in here in the Fedora package?
> 
Thx, i will do that, in this case it's good for all other distros.
Actually mate is in linuxmint and f18, but linuxmint has complete switch to mate-keyring so far as i know.
So for the moment this affected only fedora.
> What does 'mate-keyring' have to do with this bug report? Actually, why does
> mate-keyring even exist? Non GNOME desktops have been using gnome-keyring
> since forever. It seems strange that Mate would need to fork it.
I'm not mate upsream, if they forked gnome2 they decided to fork gnome-keyring too.
My personaly opion is not to use a second keyring framework for mate, as you said other DE's also use gnome-keyring.
Becuse this prodused issues.
But current situation is that they use their own keyring.
Comment 5 Wolfgang Ulbrich 2012-08-09 05:28:57 EDT
Created attachment 603214 [details]
add_mate_to_OnlyShowIn_3.2.1

patch for 3.2.1 is different
Comment 6 Fedora End Of Life 2013-04-03 14:10:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora Admin XMLRPC Client 2013-05-08 18:42:05 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Matthias Clasen 2013-05-30 22:24:11 EDT
This was fixed upstream:
https://bugzilla.gnome.org/show_bug.cgi?id=681482

Note You need to log in before you can comment on or make changes to this bug.